> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Template Test Version Detail > Returns information about a specific version of a specified template test ## OpenAPI ````json GET /api/v1/Authoring/projects/{projectId}/template-tests/{testId}/version/{versionId} { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/Authoring/projects/{projectId}/template-tests/{testId}/version/{versionId}": { "get": { "tags": [ "Authoring" ], "summary": "Get Template Test Version Detail", "description": "Returns information about a specific version of a specified template test", "parameters": [ { "name": "projectId", "in": "path", "description": "Project containing the test", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "testId", "in": "path", "description": "Template test to retrieve", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "versionId", "in": "path", "description": "Version number of the template test", "required": true, "schema": { "type": "integer", "format": "int32" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "title": "TemplateTestDetailShared", "oneOf": [ { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestDetailV1" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestDetailV2" } ] } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.ErrorResponse" } } } }, "403": { "description": "Forbidden" } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.TemplateTestDetailV1": { "title": "TemplateTestDetailV1", "required": [ "controlDataSet", "testDataSet" ], "type": "object", "properties": { "testDataSet": { "$ref": "#/components/schemas/Common.TemplateTestDataSetV1" }, "controlDataSet": { "$ref": "#/components/schemas/Common.TemplateTestDataSetV1" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TemplateTestDetailV2": { "title": "TemplateTestDetailV2", "required": [ "controlDataSet", "testDataSet" ], "type": "object", "properties": { "testDataSet": { "title": "TestDataSet", "oneOf": [ { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestDataSetV2TestScript" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestDataSetV2TestProfileResult" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestDataSetV2TestMacro" } ], "description": "Defines the test dataset" }, "controlDataSet": { "title": "ControlDataSet", "oneOf": [ { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestDataSetV2ControlScript" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestDataSetV2ControlProfileResult" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestDataSetV2ControlMacro" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestDataSetV2ControlProfileAggregate" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestDataSetV2ControlDateTimeValue" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestDataSetV2ControlStringValue" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestDataSetV2ControlNumericValue" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestDataSetV2ControlNumericRange" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestDataSetV2ControlDateTimeRange" }, { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TemplateTestDataSetV2ControlTestAggregate" } ], "description": "Defines the control dataset" }, "qualityScoreCalculation": { "type": "string", "description": "Custom quality score calculation; enter \"FromMetadata\" if number will be set by metadata script or import file", "nullable": true }, "qualityScoreMethod": { "$ref": "#/components/schemas/Common.TemplateQualityScoreMethod" }, "columnMappingJson": { "type": "string", "description": "JSON of custom column mapping between the test and control datasets", "nullable": true }, "testDataSetColumnMappingMethod": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestDataSetColumnMapping" }, "testDataSetColumnType": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestDataSetColumnType" }, "testDataSetColumnSelection": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestDataSetColumnSelection" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.ErrorResponse": { "title": "ErrorResponse", "type": "object", "properties": { "error": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Common.TemplateTestDataSetV1": { "title": "TemplateTestDataSetV1", "type": "object", "properties": { "testDataSetType": { "$ref": "#/components/schemas/Enums.TestDataSetType" }, "dataSource": { "type": "string", "nullable": true }, "metaLinks": { "type": "array", "items": { "$ref": "#/components/schemas/Common.TemplateDataSetMetaLink" } }, "configurationJson": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TemplateTestDataSetV2TestScript": { "title": "Script", "type": "object", "properties": { "dataSource": { "type": "string", "description": "The data set's data source; enter \"FromMetadata\" if data source will be from metadata script or import file (control data set only)", "nullable": true }, "metaLinks": { "type": "array", "items": { "$ref": "#/components/schemas/Common.TemplateDataSetMetaLink" }, "description": "The data set's meta links" }, "testDataSetColumnType": { "$ref": "#/components/schemas/Enums.TestDataSetColumnType" }, "columns": { "type": "array", "items": { "$ref": "#/components/schemas/Common.TemplateDataSetColumn" }, "description": "The data set's columns" }, "columnJson": { "type": "string", "description": "The data set's column JSON", "nullable": true }, "columnSource": { "$ref": "#/components/schemas/Enums.TemplateDataSetColumnSource" }, "isScalar": { "type": "boolean", "description": "Whether the data set is scalar" }, "sql": { "type": "string", "description": "The SQL script of the dataset", "nullable": true }, "dataSetProcessingType": { "$ref": "#/components/schemas/Enums.DataSetProcessingType" }, "columnAggregate": { "$ref": "#/components/schemas/Enums.JsonColumnAggregate" }, "aggregationColumnKey": { "type": "string", "description": "The data set's aggregation column key", "nullable": true }, "sameAsTestScript": { "type": "boolean", "description": "Whether the control data set is the same as the test data set script" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TemplateTestDataSetV2TestProfileResult": { "title": "ProfileResult", "type": "object", "properties": { "dataSource": { "type": "string", "description": "The data set's data source; enter \"FromMetadata\" if data source will be from metadata script or import file (control data set only)", "nullable": true }, "profileDef": { "type": "string", "description": "The Profile Definition of the dataset; enter \"FromMetadata\" if definition will be from metadata script or import file", "nullable": true }, "columns": { "type": "array", "items": { "$ref": "#/components/schemas/Common.TemplateDataSetColumn" }, "description": "The data set's columns" }, "metaLinks": { "type": "array", "items": { "$ref": "#/components/schemas/Common.TemplateDataSetMetaLink" }, "description": "The data set's meta links" }, "groupingKeyColumnRole": { "$ref": "#/components/schemas/Enums.TestDataSetColumnRole" }, "valueColumnRole": { "$ref": "#/components/schemas/Enums.TestDataSetColumnRole" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TemplateTestDataSetV2TestMacro": { "title": "Macro", "type": "object", "properties": { "dataSource": { "type": "string", "description": "The data set's data source; enter \"FromMetadata\" if data source will be from metadata script or import file (control data set only)", "nullable": true }, "macroReferenceKey": { "type": "string", "description": "The data set's macro reference key", "nullable": true }, "metaLinks": { "type": "array", "items": { "$ref": "#/components/schemas/Common.TemplateDataSetMetaLink" }, "description": "The data set's meta links" }, "columns": { "type": "array", "items": { "$ref": "#/components/schemas/Common.TemplateDataSetColumn" }, "description": "The data set's columns" }, "columnJson": { "type": "string", "description": "The data set's column JSON", "nullable": true }, "columnSource": { "$ref": "#/components/schemas/Enums.TemplateDataSetColumnSource" }, "isScalar": { "type": "boolean", "description": "Whether the data set is scalar" }, "dataSetProcessingType": { "$ref": "#/components/schemas/Enums.DataSetProcessingType" }, "columnAggregate": { "$ref": "#/components/schemas/Enums.JsonColumnAggregate" }, "aggregationColumnKey": { "type": "string", "description": "The data set's aggregation column key", "nullable": true }, "parameters": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Test.DataSetConfigMacroParameter" }, "description": "List of parameters used by the macro data set" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TemplateTestDataSetV2ControlScript": { "title": "Script", "type": "object", "properties": { "dataSource": { "type": "string", "description": "The data set's data source; enter \"FromMetadata\" if data source will be from metadata script or import file (control data set only)", "nullable": true }, "metaLinks": { "type": "array", "items": { "$ref": "#/components/schemas/Common.TemplateDataSetMetaLink" }, "description": "The data set's meta links" }, "testDataSetColumnType": { "$ref": "#/components/schemas/Enums.TestDataSetColumnType" }, "columns": { "type": "array", "items": { "$ref": "#/components/schemas/Common.TemplateDataSetColumn" }, "description": "The data set's columns" }, "columnJson": { "type": "string", "description": "The data set's column JSON", "nullable": true }, "columnSource": { "$ref": "#/components/schemas/Enums.TemplateDataSetColumnSource" }, "isScalar": { "type": "boolean", "description": "Whether the data set is scalar" }, "sql": { "type": "string", "description": "The SQL script of the dataset", "nullable": true }, "dataSetProcessingType": { "$ref": "#/components/schemas/Enums.DataSetProcessingType" }, "columnAggregate": { "$ref": "#/components/schemas/Enums.JsonColumnAggregate" }, "aggregationColumnKey": { "type": "string", "description": "The data set's aggregation column key", "nullable": true }, "sameAsTestScript": { "type": "boolean", "description": "Whether the control data set is the same as the test data set script" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TemplateTestDataSetV2ControlProfileResult": { "title": "ProfileResult", "type": "object", "properties": { "dataSource": { "type": "string", "description": "The data set's data source; enter \"FromMetadata\" if data source will be from metadata script or import file (control data set only)", "nullable": true }, "profileDef": { "type": "string", "description": "The Profile Definition of the dataset; enter \"FromMetadata\" if definition will be from metadata script or import file", "nullable": true }, "columns": { "type": "array", "items": { "$ref": "#/components/schemas/Common.TemplateDataSetColumn" }, "description": "The data set's columns" }, "metaLinks": { "type": "array", "items": { "$ref": "#/components/schemas/Common.TemplateDataSetMetaLink" }, "description": "The data set's meta links" }, "groupingKeyColumnRole": { "$ref": "#/components/schemas/Enums.TestDataSetColumnRole" }, "valueColumnRole": { "$ref": "#/components/schemas/Enums.TestDataSetColumnRole" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TemplateTestDataSetV2ControlMacro": { "title": "Macro", "type": "object", "properties": { "dataSource": { "type": "string", "description": "The data set's data source; enter \"FromMetadata\" if data source will be from metadata script or import file (control data set only)", "nullable": true }, "macroReferenceKey": { "type": "string", "description": "The data set's macro reference key", "nullable": true }, "metaLinks": { "type": "array", "items": { "$ref": "#/components/schemas/Common.TemplateDataSetMetaLink" }, "description": "The data set's meta links" }, "columns": { "type": "array", "items": { "$ref": "#/components/schemas/Common.TemplateDataSetColumn" }, "description": "The data set's columns" }, "columnJson": { "type": "string", "description": "The data set's column JSON", "nullable": true }, "columnSource": { "$ref": "#/components/schemas/Enums.TemplateDataSetColumnSource" }, "isScalar": { "type": "boolean", "description": "Whether the data set is scalar" }, "dataSetProcessingType": { "$ref": "#/components/schemas/Enums.DataSetProcessingType" }, "columnAggregate": { "$ref": "#/components/schemas/Enums.JsonColumnAggregate" }, "aggregationColumnKey": { "type": "string", "description": "The data set's aggregation column key", "nullable": true }, "parameters": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Test.DataSetConfigMacroParameter" }, "description": "List of parameters used by the macro data set" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TemplateTestDataSetV2ControlProfileAggregate": { "title": "ProfileAggregate", "type": "object", "properties": { "profileDef": { "type": "string", "description": "The Profile Definition of the dataset; enter \"FromMetadata\" if definition will be from metadata script or import file", "nullable": true }, "aggregate": { "$ref": "#/components/schemas/Common.TemplateJsonProfileHistoryAggregate" }, "window": { "$ref": "#/components/schemas/Common.TemplateJsonProfileHistoryWindow" }, "windowSize": { "type": "string", "description": "The size of the data set window; enter \"FromMetadata\" if definition will be from metadata script or import file", "nullable": true }, "columns": { "type": "array", "items": { "$ref": "#/components/schemas/Common.TemplateDataSetColumn" }, "description": "The data set's columns" }, "metaLinks": { "type": "array", "items": { "$ref": "#/components/schemas/Common.TemplateDataSetMetaLink" }, "description": "The data set's meta links" }, "groupingKeyColumnRole": { "$ref": "#/components/schemas/Enums.TestDataSetColumnRole" }, "valueColumnRole": { "$ref": "#/components/schemas/Enums.TestDataSetColumnRole" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TemplateTestDataSetV2ControlDateTimeValue": { "title": "DateTimeValue", "type": "object", "properties": { "valueType": { "$ref": "#/components/schemas/Common.TemplateJsonDateSelectionType" }, "columnType": { "$ref": "#/components/schemas/Enums.TestDataSetColumnType" }, "timeZoneKey": { "type": "string", "description": "The time zone key of the data set; enter \"FromMetadata\" if value will be from metadata script or import file", "nullable": true }, "relativeTargetPeriod": { "$ref": "#/components/schemas/Common.TemplateJsonRelativeDateValuePeriod" }, "targetValue": { "type": "string", "description": "The target value of the data set; enter \"FromMetadata\" if value will be from metadata script or import file", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TemplateTestDataSetV2ControlStringValue": { "title": "StringValue", "type": "object", "properties": { "targetValue": { "type": "string", "description": "The target value of the data set; enter \"FromMetadata\" if value will be from metadata script or import file", "nullable": true }, "ignoreWhitespace": { "type": "boolean", "description": "Whethe the string comparison ignores whitespace characters" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TemplateTestDataSetV2ControlNumericValue": { "title": "NumericValue", "type": "object", "properties": { "targetValue": { "type": "string", "description": "The target value of the data set; enter \"FromMetadata\" if value will be from metadata script or import file", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TemplateTestDataSetV2ControlNumericRange": { "title": "NumericRange", "type": "object", "properties": { "minValue": { "type": "string", "description": "The minimum value of the numeric range; enter \"FromMetadata\" if value will be from metadata script or import file", "nullable": true }, "maxValue": { "type": "string", "description": "The maximum value of the numeric range; enter \"FromMetadata\" if value will be from metadata script or import file", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TemplateTestDataSetV2ControlDateTimeRange": { "title": "DateTimeRange", "type": "object", "properties": { "rangeType": { "$ref": "#/components/schemas/Common.TemplateJsonDateSelectionType" }, "columnType": { "$ref": "#/components/schemas/Enums.TestDataSetColumnType" }, "timeZoneKey": { "type": "string", "description": "The time zone key of the data set; enter \"FromMetadata\" if value will be from metadata script or import file", "nullable": true }, "minRelativePeriod": { "type": "string", "description": "The minimum relative period of the data set; enter \"FromMetadata\" if value will be from metadata script or import file", "nullable": true }, "maxRelativePeriod": { "type": "string", "description": "The maximum relative period of the data set; enter \"FromMetadata\" if value will be from metadata script or import file", "nullable": true }, "minRelativeOffset": { "type": "string", "description": "The minimum relative offset of the data set; enter \"FromMetadata\" if value will be from metadata script or import file", "nullable": true }, "maxRelativeOffset": { "type": "string", "description": "The maximum relative offset of the data set; enter \"FromMetadata\" if value will be from metadata script or import file", "nullable": true }, "minAbsoluteValue": { "type": "string", "description": "The minimum absolute value of the data set; enter \"FromMetadata\" if value will be from metadata script or import file", "nullable": true }, "maxAbsoluteValue": { "type": "string", "description": "The maximum absolute value of the data set; enter \"FromMetadata\" if value will be from metadata script or import file", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TemplateTestDataSetV2ControlTestAggregate": { "title": "TestAggregate", "type": "object", "properties": { "aggregate": { "$ref": "#/components/schemas/Common.TemplateJsonProfileHistoryAggregate" }, "window": { "$ref": "#/components/schemas/Common.TemplateJsonProfileHistoryWindow" }, "windowSize": { "type": "string", "description": "The window size of the dataset; enter \"FromMetadata\" if definition will be from metadata script or import file", "nullable": true }, "includePriorVersions": { "type": "boolean", "description": "Whether the dataset includes prior versions" }, "isScalar": { "type": "boolean", "description": "Whether the data set is scalar" } }, "additionalProperties": false }, "Common.TemplateQualityScoreMethod": { "title": "TemplateQualityScoreMethod", "enum": [ "AllOrNothing", "Proportional", "ProportionalWithPassOverride", "CustomCalculation", "FromMetadata" ], "type": "string" }, "Configuration.Api.Models.v1.TestDataSetColumnMapping": { "title": "TestDataSetColumnMapping", "enum": [ "Automatic", "Manual" ], "type": "string" }, "Configuration.Api.Models.v1.TestDataSetColumnType": { "title": "TestDataSetColumnType", "enum": [ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ], "type": "string" }, "Configuration.Api.Models.v1.TestDataSetColumnSelection": { "title": "TestDataSetColumnSelection", "enum": [ "Name", "Position" ], "type": "string" }, "Enums.TestDataSetType": { "title": "TestDataSetType", "enum": [ "SingleValueScriptNumeric", "KeyValueListScriptNumeric", "ScalarProfileResultNumeric", "ScalarProfileAggregateNumeric", "NumericRange", "NumericValue", "SingleValueScriptString", "KeyValueListScriptString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate", "SingleValueScriptAutomatic", "KeyValueListScriptAutomatic", "SingleValueTestAggregateAutomatic", "KeyValueListTestAggregateAutomatic", "SingleValueMacroNumeric", "KeyValueListMacroNumeric", "SingleValueMacroString", "KeyValueListMacroString", "SingleValueMacroDate", "KeyValueListMacroDate", "SingleValueMacroAutomatic", "KeyValueListMacroAutomatic", "ScalarProfileResultString", "ScalarProfileResultDate", "ArrayProfileResultNumeric", "ArrayProfileResultString", "ArrayProfileResultDate", "ScalarProfileAggregateString", "ScalarProfileAggregateDate", "ArrayProfileAggregateNumeric", "ArrayProfileAggregateString", "ArrayProfileAggregateDate" ], "type": "string" }, "Common.TemplateDataSetMetaLink": { "title": "TemplateDataSetMetaLink", "type": "object", "properties": { "key": { "type": "string", "nullable": true }, "includeForCoverage": { "type": "boolean" } }, "additionalProperties": false }, "Enums.TestDataSetColumnType": { "title": "TestDataSetColumnType", "enum": [ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ], "type": "string" }, "Common.TemplateDataSetColumn": { "title": "TemplateDataSetColumn", "type": "object", "properties": { "name": { "type": "string", "nullable": true }, "sequence": { "type": "integer", "format": "int32", "nullable": true }, "type": { "type": "string", "nullable": true }, "role": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Enums.TemplateDataSetColumnSource": { "title": "TemplateDataSetColumnSource", "enum": [ "FixedConfiguration", "DynamicTemplateConfiguration" ], "type": "string" }, "Enums.DataSetProcessingType": { "title": "DataSetProcessingType", "enum": [ "SingleValue", "Table", "ColumnAggregation", "RowCount" ], "type": "string" }, "Enums.JsonColumnAggregate": { "title": "JsonColumnAggregate", "enum": [ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ], "type": "string" }, "Enums.TestDataSetColumnRole": { "title": "TestDataSetColumnRole", "enum": [ "Key", "Value", "Ignore" ], "type": "string" }, "Configuration.Test.DataSetConfigMacroParameter": { "type": "object", "properties": { "parameterId": { "type": "integer", "format": "int32" }, "parameterValue": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Common.TemplateJsonProfileHistoryAggregate": { "title": "TemplateJsonProfileHistoryAggregate", "enum": [ "Average", "Minimum", "Maximum", "FromMetadata" ], "type": "string" }, "Common.TemplateJsonProfileHistoryWindow": { "title": "TemplateJsonProfileHistoryWindow", "enum": [ "Days", "Weeks", "Runs", "FromMetadata" ], "type": "string" }, "Common.TemplateJsonDateSelectionType": { "title": "TemplateJsonDateSelectionType", "enum": [ "Absolute", "Relative", "FromMetadata" ], "type": "string" }, "Common.TemplateJsonRelativeDateValuePeriod": { "title": "TemplateJsonRelativeDateValuePeriod", "enum": [ "CurrentDate", "FromMetadata" ], "type": "string" } } } } ````